Package owl.jni

## Class JniEmersonLeiAutomaton

- java.lang.Object
- - owl.jni.JniEmersonLeiAutomaton

-     public class JniEmersonLeiAutomaton
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JniEmersonLeiAutomaton.Reference` |
    `static class` | `JniEmersonLeiAutomaton.SafetySplittingMode` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<JniAutomaton<?>>` | `automata` |
    `LabelledTree<owl.jni.JniEmersonLeiAutomaton.Tag,JniEmersonLeiAutomaton.Reference>` | `structure` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JniEmersonLeiAutomaton` | `of​(Formula formula, boolean simplify, boolean monolithic, int mode, boolean onTheFly)` |
    `static JniEmersonLeiAutomaton` | `of​(Formula formula, boolean simplify, boolean monolithic, JniEmersonLeiAutomaton.SafetySplittingMode mode, boolean onTheFly)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### structure

          public final LabelledTree<owl.jni.JniEmersonLeiAutomaton.Tag,JniEmersonLeiAutomaton.Reference> structure

    - #### automata

          public final List<JniAutomaton<?>> automata

  - ### Method Detail

    - #### of

          public static JniEmersonLeiAutomaton of​(Formula formula,
                                                  boolean simplify,
                                                  boolean monolithic,
                                                  JniEmersonLeiAutomaton.SafetySplittingMode mode,
                                                  boolean onTheFly)

    - #### of

          public static JniEmersonLeiAutomaton of​(Formula formula,
                                                  boolean simplify,
                                                  boolean monolithic,
                                                  int mode,
                                                  boolean onTheFly)